List agent schema versions
GET /api/v1/agent_schema_version
GET
/api/v1/agent_schema_version
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” agent_id
idempotency_key
One of:
IdempotencyKeyOrNull
Optional idempotency key for ensuring request idempotency
string
Null
Null
string
sorting
pagination[offset]
pagination[page_size]
Responses
Section titled “ Responses ”Success
object
pagination
One of:
PaginationOutput
Pagination information
object
item_count
The total number of items
integer
item_end
The index of the last item in the page (one-based)
integer
item_start
The index of the first item in the page (one-based)
integer
next_page_offset
page_count
The total number of pages
integer
page_index
The index of the current page (one-based)
integer
page_offset
The offset of the first item in the page (zero-based)
integer
page_size
The number of items per page
integer
Example
{ "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80} Null
Null
string
sorting
status
string
Example
success summaries
Array<object>
AgentSchemaVersion_Summaryobject
account_id
Account_Id
A valid account ID
string
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nf agent_id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qr current_version
Is this the agent’s current schema version?
boolean
environment_id
Environment_Id
A valid environment ID
string
Example
013xrzp12g3nqk8nzxvq7jm2arsfg5h1 external_identifier
External identifier for the agent schema version
string
Example
v0 id
AgentSchemaVersion_Id
A valid agent schema version ID
string
Example
013xrzp12g3nqk8nzntq40gkzaf2d9m2 inserted_at
When the agent schema version was created
string format: date-time
Example
2024-01-01T00:00:00Z span_schemas_count
Number of span schemas in this schema version
integer
Example
3 type
Type of resource (always ‘agent_schema_version’)
string
Example
agent_schema_version updated_at
When the agent schema version was last updated
string format: date-time
Example
2024-01-01T00:00:00Zdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error